const RandExp = require('randexp');
var mysql = require('mysql');

var con = mysql.createConnection({
    host: "localhost",
    user: "root",
    password: "",
    database: "serprosep"
});

const patron = /^[0-9A-Fa-f]{8}-[0-9A-Fa-f]{4}-[0-9A-Fa-f]{4}-[0-9A-Fa-f]{4}-[0-9A-Fa-f]{12}$/;


let clientes = ['ZUBI SERVICIOS INTEGRALES DE IMPORTACION LOGISTICA Y COMERCIO SA DE CV',
'VALTAME TRANSLADO DE VALORES S.A DE C.V',
'VALTAME TRANSLADO DE VALORES S.A DE C.',
'UNIGAS SA DE CV',
'ULTRA LABORATORIOS',
'UIPSA SA DE CV',
'UIPSA SA DE C',
'TYL RIDA MEXICO SA DE CV',
'TYL RIDA MEXICO SA DE C',
'TRANSPORTES REMYENDO SA DE CV',
'TINTORETTO SA DE CV',
'TAKA CENTRO CAMBIARIO SA DE CV',
'SISTEMAS INTEGRALES DE PROTECCION INVESTIGACION Y RESGUARDO SEGURIDAD PRIVADA SA DE CV',
'SINDICATO NACIONAL ALIMENTICIO Y DE COMERCIO, SIMILARES Y CONEXOS DE LA REPUBLICA MEXICANA',
'SINDICATO NACIONAL ALIMENTICIO Y DE COMERCIO, SIMILARES Y CONEXOS DE LA REPUBLICA MEXICAN',
'SERVICIOS TOGEFORER SA DE CV',
'SERVICIOS TOGEFORER SA DE C',
'SERVICIOS PROFESIONALES AZUCAREROS SA DE CV',
'SERVICIOS PROFESIONALES AZUCAREROS SA DE C',
'SERVICIOS INTEGRALES DE COMUNICACIÓN DIGITAL DELOS SA DE CV',
'SERVICIOS ESPECIALIZADOS FINTED SA DE CV',
'SERVICIOS DE COMUNICACIÓN DIGITAL HIVE SAPI DE CV',
'SERVICIOS ALEATORIOS MOCTEZUMA SA DE CV',
'SERVI BENZIN SA DE CV',
'SERPROSEP SA DE CV',
'SEGURITY PRIVATE, ADVERTISING EVENTS HADES SA DE CV',
'SEGURIDAD PRIVADA GORAT SA DE CV',
'SEGURIDAD PRIVADA GORAT SA DE C',
'SEGURIDAD PRIVADA ARMASEK SA DE CV',
'SAJU SA DE CV',
'ROLMAN SA DE CV',
'RECUPERADORA DE MATERIALES ECOLOGICOS SA DE CV',
'RAVIDOS SA DE CV',
'PISAQ SA DE CV',
'ORGANIZACIÓN Y COMERCIANTES Y COLONOS SA DE CV',
'ORANGE SHOP MEXICO SA DE CV',
'NUEVA CENTRAL DE BRASIL SA DE CV',
'NEGOCIOS INDUSTRIALES DER, SA DE CV',
'NEGOCIOS EMPRESARIALES ELEOS SA DE CV',
'MUÑOZ C. Y ASOCIADOS S.A DE C.V',
'MUÑOZ C. Y ASOCIADOS S.A DE C.',
'MUNICIPO DE XOCHITEPEC',
'MUNICIPO DE XOCHITEPE',
'MUNICIPIO DE XOCHITEPEC',
'MUNICIPIO DE XOCHITEPE',
'MOVIMIENTO ZAVALA TX SA DE CV',
'MIA PRODUCTION&LOGISTIC SA DE CV Y/O FAMILIA',
'MIA PRODUCTION&LOGISTIC SA DE CV Y/O FAMILI',
'MARTINEZ TRUCKS SA DE CV',
'MARTINEZ HERNANDEZ JORGE DANIEL',
'MARTINEZ HERNANDEZ JORGE DANIE',
'LIVERPOOL',
'LIVERPOO',
'LIMPIACERO SA DE CV',
'JKM EXCHANGE CENTRO CAMBIARIO SA DE CV',
'JKM EXCHANGE CENTRO CAMBIARIO SA DE C',
'INTELIGENCIA ESTRATEGICA EN SEGURIDAD PERSONAL SA DE CV',
'INT INTELLIGENCE AND TELECOM TECHNOLOGIES MEXICO SA DE CV',
'INT INTELLIGENCE AND TELECOM TECHNOLOGIES MEXICO SA DE C',
'HC CONSULTORES SA DE CV',
'GRUPO VANTERI SA DE CV',
'GRUPO SEES Y DISTRIBUCION SA DE CV',
'GRUPO SAN PEDRO S.A. DE C.V.',
'GRUPO SAN PEDRO S.A. DE C.V',
'GRUPO PAKAL DE CHIAPAS SA DE CV',
'GRUPO PAKAL DE CHIAPAS SA DE C',
'GRUPO INMOBILIARIO SAIDA SA DE CV',
'GRUPO INMOBILIARIO SAIDA SA DE C',
'GRUPO ESRO SA DE CV',
'GRUPO EMPRESARIAL KARA HDEZ SA DE CV',
'GRUPO EMPRESARIAL KARA HDEZ SA DE C',
'GRUPO EMPRESARIAL BECODA SA DE CV',
'GRUPO EMPRESARIAL BECODA SA DE C',
'GRUPO DE INVESTIGACION POLARIS SA DE CV',
'GRUPO COSMIC SA DE CV',
'GRUPO CORPORATIVO SOLCAT SA DE CV',
'GORAT SA DE CV',
'FULL SERVICES SUPPLIER DEL CENTRO SA DE CV',
'FEMEXPADEL SA DE CV',
'EXECUTIVE LOGISTICS AND SERVICES MEXICO S DE RL DE CV',
'ESRO DIVEX CENTRO CAMBIARIO SA DE CV',
'ELECTRODOS INFRA SA DE CV',
'DRAGON HOUSE ZHU SA DE CV',
'DISTRITO BOX PROMOTIONS SA DE CV',
'DESARROLLOS E INVERSIONES WE BUILD SAPI DE CV',
'DESARROLLOS E INVERSIONES WE BUILD SAPI DE C',
'DELOS PROTECT S RL DE CV',
'DBM FACTOR HUMANO SA DE CV',
'CORTES, USCANGA RIVERA Y ASOCIADOS SA DE CV',
'CORREDOR INSURGENTES SA DE CV',
'COREYMAN SA DE CV',
'CONSULTORES E INVESTIGADORES EN ADMINISTRACION S.C',
'CONSULTORES E INVESTIGADORES EN ADMINISTRACION S.',
'CONSULTORES ASESORES Y ARRENDADORES KRONE SA DE CV',
'COMGOHE SA DE CV',
'COMERCIALIZADORA NATURISTA SA DE CV',
'COMERCIALIZADORA GAINNEN SA DE CV',
'CLEAN SERVICE SA DE CV',
'CLEAN SERVICE SA DE C',
'CINTAS AREDCA SA DE CV',
'CAZVEMEZ SA DE CV',
'CATCAI S DE RL DE CV',
'CATCAI S DE RL DE C',
'BLINDAJES TECNOLOGICOS 2020 SA DE CV',
'BIOTERRA SA DE CV',
'BINOMI',
'AVAL DE VALOR INMOBILIARIO SANTA FE, S DE RL DE CV',
'AVAL DE VALOR INMOBILIARIO SANTA FE, S DE RL DE C',
'ARVIG SA DE CV',
'ARMASEK SA DE CV',
'ALTRE S.C CONSULTORES LEGALES',
'ALTRE S.C CONSULTORES LEGALE',
'ALFA LACTEOS SA DE CV',
'AGFZ CONSULTORES S.C.',
'AGFZ CONSULTORES S.C',
'AGENCIA CENTRAL DE PROTECCION EJECUTIVA Y PATRIMONIAL SHABAK SA DE CV',
'ACURGEN SA DE CV',
'TRANSPORTES SCORPIO LOPEZ GONZALEZ SA DE CV']
  

clientes.forEach(data => {
    const pass = new RandExp(patron).gen();

    let query = `INSERT INTO cliente(id, razon_social, nombre_corto, activo, createddate) VALUES ('${pass}', '${data}', '${data}', 1, now())`
    // console.log(query)
    con.query(query, (err, result, fields) => {
      if (err) throw err;
      console.log(result)
    });
})

